# QVM: Quaternions, Vectors, Matrices

### operator-(mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if: is_mat<A>::value
            template <class A>
            typename deduce_mat<A>::type
            operator-( A const & a );
        }
    }

#### Returns:

A matrix of the negated elements of a.

See also: boost/qvm/mat_operations.hpp